package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-15T18:18:41.842+03:00
 * Generated source version: 3.4.3
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "TaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface TaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByNameTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByNameTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByNameTask/Fault/AbstractException")})
    @RequestWrapper(localName = "startByNameTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByNameTask")
    @ResponseWrapper(localName = "startByNameTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByNameTaskResponse")
    public void startByNameTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeAllTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeAllTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeAllTask/Fault/AbstractException")})
    @RequestWrapper(localName = "removeAllTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveAllTask")
    @ResponseWrapper(localName = "removeAllTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveAllTaskResponse")
    public void removeAllTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "removeByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByIdTask")
    @ResponseWrapper(localName = "removeByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByIdTaskResponse")
    public void removeByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "startByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIndexTask")
    @ResponseWrapper(localName = "startByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIndexTaskResponse")
    public void startByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByNameTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByNameTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByNameTask/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByNameTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByNameTask")
    @ResponseWrapper(localName = "finishByNameTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByNameTaskResponse")
    public void finishByNameTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIndexTask")
    @ResponseWrapper(localName = "finishByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIndexTaskResponse")
    public void finishByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "findByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIdTask")
    @ResponseWrapper(localName = "findByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIdTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO findByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/finishByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIdTask")
    @ResponseWrapper(localName = "finishByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIdTaskResponse")
    public void finishByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/startByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "startByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIdTask")
    @ResponseWrapper(localName = "startByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIdTaskResponse")
    public void startByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "findByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIndexTask")
    @ResponseWrapper(localName = "findByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIndexTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO findByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIdTask")
    @ResponseWrapper(localName = "updateStatusByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIdTaskResponse")
    public void updateStatusByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "status", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByNameTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByNameTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByNameTask/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByNameTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByNameTask")
    @ResponseWrapper(localName = "updateStatusByNameTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByNameTaskResponse")
    public void updateStatusByNameTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "status", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "updateByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIndexTask")
    @ResponseWrapper(localName = "updateByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIndexTaskResponse")
    public void updateByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByNameTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByNameTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByNameTask/Fault/AbstractException")})
    @RequestWrapper(localName = "removeByNameTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByNameTask")
    @ResponseWrapper(localName = "removeByNameTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByNameTaskResponse")
    public void removeByNameTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/removeByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "removeByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByIndexTask")
    @ResponseWrapper(localName = "removeByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveByIndexTaskResponse")
    public void removeByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/createTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/createTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/createTask/Fault/AbstractException")})
    @RequestWrapper(localName = "createTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CreateTask")
    @ResponseWrapper(localName = "createTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CreateTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO createTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIdTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIdTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateByIdTask/Fault/AbstractException")})
    @RequestWrapper(localName = "updateByIdTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdTask")
    @ResponseWrapper(localName = "updateByIdTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdTaskResponse")
    public void updateByIdTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByNameTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByNameTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findByNameTask/Fault/AbstractException")})
    @RequestWrapper(localName = "findByNameTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByNameTask")
    @ResponseWrapper(localName = "findByNameTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByNameTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO findByNameTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIndexTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIndexTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/updateStatusByIndexTask/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByIndexTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIndexTask")
    @ResponseWrapper(localName = "updateStatusByIndexTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIndexTaskResponse")
    public void updateStatusByIndexTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "index", targetNamespace = "")
        int index,
        @WebParam(name = "status", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findAllTaskRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findAllTaskResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/TaskEndpoint/findAllTask/Fault/AbstractException")})
    @RequestWrapper(localName = "findAllTask", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllTask")
    @ResponseWrapper(localName = "findAllTaskResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO> findAllTask(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
        @WebParam(name = "sort", targetNamespace = "")
        java.lang.String sort
    ) throws AbstractException_Exception;
}
